#pragma once

#include "IMother.h"
#include "Uterus.h"
#include <memory>
#include <vector>

class Child;

class Mother: public IMother
{
    Uterus my_uterus;
    
    std::vector<std::unique_ptr<Child> >  my_kids;
    
public:
    Mother();
    void new_kid();
    void do_things_with_kids();
    virtual void greet(const std::string& name) const ;
    virtual void feed(const std::string& name) const;
};
